package com.game.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.game.business.domain.AppGame;

/**
 * 游戏配置Mapper接口
 *
 * @author game
 * @date 2024-06-14
 */
public interface AppGameMapper extends BaseMapper<AppGame> {
    /**
     * 查询游戏配置
     *
     * @param id 游戏配置主键
     * @return 游戏配置
     */
    public AppGame selectAppGameById(Long id);

    /**
     * 查询游戏配置列表
     *
     * @param appGame 游戏配置
     * @return 游戏配置集合
     */
    public List<AppGame> selectAppGameList(AppGame appGame);

    /**
     * 新增游戏配置
     *
     * @param appGame 游戏配置
     * @return 结果
     */
    public int insertAppGame(AppGame appGame);

    /**
     * 修改游戏配置
     *
     * @param appGame 游戏配置
     * @return 结果
     */
    public int updateAppGame(AppGame appGame);

    /**
     * 删除游戏配置
     *
     * @param id 游戏配置主键
     * @return 结果
     */
    public int deleteAppGameById(Long id);

    /**
     * 批量删除游戏配置
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppGameByIds(Long[] ids);
}